Skip to main content
GET
/
v1
/
agents
/
{passportId}
/
epoch
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.mirror.lucidGetAgentEpoch({
    adminAuth: process.env["RAIJINLABSLUCIDAI_ADMIN_AUTH"] ?? "",
  }, {
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "active": {
    "epoch_id": "<string>",
    "status": "<string>",
    "leaf_count": 123,
    "mmr_root": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "latest_db": {
    "epoch_id": "<string>",
    "status": "<string>",
    "leaf_count": 123,
    "mmr_root": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Admin-Key
string
header
required

Admin API key for internal/operator endpoints

Path Parameters

passportId
string
required

Agent passport identifier for epoch lookup

Response

Current epoch state

active
object
latest_db
object